﻿@using TestJose.DataAccess;
@model IEnumerable<ApplicationUser>

@{
    ViewData["Title"] = "Users";
}

<h4>Users</h4>

<p>
    <a asp-area="Identity" asp-page="/Account/Register">New User</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.UserName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.UserRoles)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.UserName)
            </td>
            <td>
                @foreach (var userRole in item.UserRoles)
                {
                    <p>@Html.DisplayFor(model => userRole.Role.Name)&nbsp;</p>
                }
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Name)
            </td>
        </tr>
        }
    </tbody>
</table>
